package com.fs.live.mapper;

import java.util.List;
import com.fs.live.domain.LiveBroadcast;

/**
 * 直播列表Mapper接口
 * 
 * @author fs
 * @date 2026-03-10
 */
public interface LiveBroadcastMapper 
{
    /**
     * 查询直播列表
     * 
     * @param id 直播列表主键
     * @return 直播列表
     */
    public LiveBroadcast selectLiveBroadcastById(Long id);

    /**
     * 查询直播列表列表
     * 
     * @param liveBroadcast 直播列表
     * @return 直播列表集合
     */
    public List<LiveBroadcast> selectLiveBroadcastList(LiveBroadcast liveBroadcast);

    /**
     * 新增直播列表
     * 
     * @param liveBroadcast 直播列表
     * @return 结果
     */
    public int insertLiveBroadcast(LiveBroadcast liveBroadcast);

    /**
     * 修改直播列表
     * 
     * @param liveBroadcast 直播列表
     * @return 结果
     */
    public int updateLiveBroadcast(LiveBroadcast liveBroadcast);

    /**
     * 删除直播列表
     * 
     * @param id 直播列表主键
     * @return 结果
     */
    public int deleteLiveBroadcastById(Long id);

    /**
     * 批量删除直播列表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLiveBroadcastByIds(Long[] ids);
}
